<div class="modal-body p-4">
    <h6>Billing Address</h6>
    <form [formGroup]="shippingAddressForm">
        <div class="form-row">
            <div class="col-md-6 col-sm-12">
                <div class="mb-2">
                    <label for="FirstName" class="form-label mb-1">First Name *</label>
                    <input type="type" class="form-control" placeholder="First name" formControlName="FirstName" id="FirstName" minlength="3" maxlength="10" onkeypress="return /[a-z]/i.test(event.key)">
                    <div *ngIf="isSubmittedForm && form['FirstName'].invalid" class="text-danger">                        <div *ngIf="form['LastName']?.errors?.['minlength']">At least 3 characters allowed</div>
                    <div *ngIf="form['FirstName']?.errors?.['required']">Firstname is required</div>
                    <div *ngIf="form['LastName']?.errors?.['minlength']">At least 3 characters allowed</div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-12">
                <div class="mb-2">
                    <label for="LastName" class="form-label mb-1">Last Name *</label>
                    <input type="type" class="form-control" placeholder="Last name" formControlName="LastName" minlength="3" maxlength="10" id="LastName" onkeypress="return /[a-z]/i.test(event.key)">
                    <div *ngIf="isSubmittedForm && form['LastName'].invalid" class="text-danger">
                        <div *ngIf="form['LastName']?.errors?.['required']">Lastname is required</div>
                        <div *ngIf="form['LastName']?.errors?.['minlength']">At least 3 characters allowed</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-row mb-2">
            <div class="col-md-6 col-sm-12">
                <label for="PhoneNumber" class="form-label mb-1">Phone Number *</label>
                <div class="input-group" formGroupName="PhoneNumber">
                    <div class="input-group-prepend" style="width:35%">
                        <select class="form-control custom-select select2-hidden-accessible cursor-pointer" formControlName="Code">
                            <option selected value="234">+234</option>
                            <!-- <option value="+233">+233</option> -->
                        </select>
                    </div>
                    <input type="text" class="form-control" id="PhoneNumber" placeholder="Phone number" minlength="10" maxlength="11" aria-label="Text input with dropdown button" formControlName="Number" onkeypress="return /[0-9]/i.test(event.key)">
                </div>
                <div *ngIf="isSubmittedForm && phoneNumberControl['Number'].invalid" class="text-danger">
                    <div *ngIf="phoneNumberControl['Number']?.errors?.['required']">Mobile number is required</div>
                    <div *ngIf="phoneNumberControl['Number']?.errors?.['pattern']">Enter valid mobile number
                    </div>
                    <div *ngIf="!phoneNumberControl['Number']?.errors?.['pattern'] && phoneNumberControl['Number']?.errors?.['minlength']">Minimum 10 digit required
                    </div>
                    <div *ngIf="phoneNumberControl['Number']?.errors?.['maxlength']">Maximum 11 digit required
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-12">
                <label for="AdditionalNumber" class="form-label mb-1">Additional Phone Number</label>
                <div class="input-group" formGroupName="AdditionalNumber">
                    <div class="input-group-prepend" style="width:35%">
                        <select class="form-control custom-select select2-hidden-accessible cursor-pointer" formControlName="Code">
                            <option selected value="234">+234</option>
                        </select>
                    </div>
                    <input type="text" class="form-control" id="AdditionalNumber" placeholder="Phone number" minlength="10" maxlength="11" formControlName="Number" onkeypress="return /[0-9]/i.test(event.key)">
                </div>
                <div *ngIf="isSubmittedForm && additionalNumberControl['Number'].invalid" class="text-danger">
                    <div *ngIf="additionalNumberControl['Number']?.errors?.['pattern']">Enter valid mobile number
                    </div>
                    <div *ngIf="!additionalNumberControl['Number']?.errors?.['pattern'] && additionalNumberControl['Number']?.errors?.['minlength']">Minimum 10 digit required
                    </div>
                    <div *ngIf="additionalNumberControl['Number']?.errors?.['maxlength']">Maximum 11 digit required
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-2">
            <label for="StreetAddressLine1" class="form-label mb-1">Address Line 1 *</label>
            <input id="StreetAddressLine1" class="form-control" placeholder="Address Line 1" formControlName="AddressLine1" />
            <div *ngIf="isSubmittedForm && form['AddressLine1'].invalid" class="text-danger">
                <div *ngIf="form['AddressLine1']?.errors?.['required']">Street address is required</div>
                <div *ngIf="form['AddressLine1']?.errors?.['maxlength']">Address should have only 45 characters</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="StreetAddressLine2" class="form-label mb-1">Address Line 2</label>
            <input id="StreetAddressLine2" class="form-control" placeholder="Address Line 2" formControlName="AddressLine2" />
        </div>
        <div class="mb-2">
            <label for="State" class="form-label mb-1">State *</label>
            <select id="State" class="form-control custom-select select2-hidden-accessible cursor-pointer" formControlName="State" (change)="changeSelectFormControl('State',$event)">
                <option selected disabled value="">Select State</option>
                <option *ngFor="let Item of this._DataService._AllStates" [value]="Item.ReferenceId">{{Item.Name}}</option>
            </select>
            <div *ngIf="isSubmittedForm && form['State'].invalid" class="text-danger">
                <div *ngIf="form['State']?.errors?.['required']">State is required</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="CityLabel" class="form-label mb-1">City *</label>
            <select id="CityLabel" class="form-control custom-select select2-hidden-accessible cursor-pointer" formControlName="City" (change)="changeSelectFormControl('City')">
                <option selected disabled value="">Select City</option>
                <option *ngFor="let Item of this.citiesAgainstState" [value]="Item.ReferenceId">{{Item.Name}}</option>
            </select>
            <div *ngIf="isSubmittedForm && form['City'].invalid" class="text-danger">
                <div *ngIf="form['City']?.errors?.['required']">City is required</div>
            </div>
        </div>
        <div class="mb-2">
            <label for="LocationType" class="form-label mb-1">Location Type *</label>
            <select id="LocationType" class="form-control custom-select select2-hidden-accessible cursor-pointer" formControlName="LocationType" (change)="changeSelectFormControl('LocationType',$event)">
                <option selected disabled value="">Select Location Type</option>
                <option *ngFor="let Item of this.LocationTypeList" [value]="Item.LocationTypeId">{{Item.Name}}</option>
            </select>
        </div>
        <!-- <div class="mb-2 form-check">
            <input type="checkbox" class="form-check-input" id="Is_Residetnial" formControlName="Is_Residetnial" />
            <label class="form-check-label" for="Is_Residetnial">Save as residencial address</label>
        </div> -->
    </form>
</div>
<div class="modal-footer px-5 pt-0 pb-4 border-top-0">
    <!-- <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button> -->
    <!-- <button type="button" class="btn btn-block btn-primary" (click)="modal.close('Yes click')">Save Address</button> -->
    <button type="button" class="btn btn-block btn-primary" (click)="saveForm()" *ngIf="!_HelperService.IsProcessing">Save Address</button>
    <button type="button" disabled class="btn btn-block btn-primary" *ngIf="_HelperService.IsProcessing">Please wait</button>
</div>